## EMailSignatureManager EMailSignatureManager |

## Functions

GtkWidget * | e_mail_signature_manager_new ()
void | e_mail_signature_manager_add_signature ()
void | e_mail_signature_manager_add_signature_script ()
void | e_mail_signature_manager_edit_signature ()
void | e_mail_signature_manager_remove_signature ()
gboolean | e_mail_signature_manager_get_prefer_html ()
void | e_mail_signature_manager_set_prefer_html ()
ESourceRegistry * | e_mail_signature_manager_get_registry ()

## Properties

gboolean | prefer-html | Read / Write / Construct
ESourceRegistry * | registry | Read / Write / Construct

## Signals

void | add-signature | Action
void | add-signature-script | Action
void | edit-signature | Action
void | editor-created | Run Last
void | remove-signature | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkPaned
                        ╰── EMailSignatureManager

## Description

## Functions

### e_mail_signature_manager_new ()

    GtkWidget *
    e_mail_signature_manager_new (ESourceRegistry *registry);

### e_mail_signature_manager_add_signature ()

    void
    e_mail_signature_manager_add_signature
                                   (EMailSignatureManager *manager);

### e_mail_signature_manager_add_signature_script ()

    void
    e_mail_signature_manager_add_signature_script
                                   (EMailSignatureManager *manager);

### e_mail_signature_manager_edit_signature ()

    void
    e_mail_signature_manager_edit_signature
                                   (EMailSignatureManager *manager);

### e_mail_signature_manager_remove_signature ()

    void
    e_mail_signature_manager_remove_signature
                                   (EMailSignatureManager *manager);

### e_mail_signature_manager_get_prefer_html ()

    gboolean
    e_mail_signature_manager_get_prefer_html
                                   (EMailSignatureManager *manager);

### e_mail_signature_manager_set_prefer_html ()

    void
    e_mail_signature_manager_set_prefer_html
                                   (EMailSignatureManager *manager,
                                    gboolean prefer_html);

### e_mail_signature_manager_get_registry ()

    ESourceRegistry *
    e_mail_signature_manager_get_registry (EMailSignatureManager *manager);

## Types and Values

## Property Details

### The `“prefer-html”` property

      “prefer-html”              gboolean

Flags: Read / Write / Construct

Default value: TRUE

### The `“registry”` property

      “registry”                 ESourceRegistry *

Flags: Read / Write / Construct

## Signal Details

### The `“add-signature”` signal

    void
    user_function (EMailSignatureManager *emailsignaturemanager,
                   gpointer               user_data)

Flags: Action

### The `“add-signature-script”` signal

    void
    user_function (EMailSignatureManager *emailsignaturemanager,
                   gpointer               user_data)

Flags: Action

### The `“edit-signature”` signal

    void
    user_function (EMailSignatureManager *emailsignaturemanager,
                   gpointer               user_data)

Flags: Action

### The `“editor-created”` signal

    void
    user_function (EMailSignatureManager *emailsignaturemanager,
                   EMailSignatureEditor  *arg1,
                   gpointer               user_data)

Flags: Run Last

### The `“remove-signature”` signal

    void
    user_function (EMailSignatureManager *emailsignaturemanager,
                   gpointer               user_data)

Flags: Action